#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: gwenview
Summary: Fast and easy to use image viewer for KDE
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 2
Group: Graphics/Viewers
License: GPLv2
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdebase4-devel >= 1:%version
BuildRequires: pkgconfig(libkipi)
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: pkgconfig(exiv2)
BuildRequires: pkgconfig(libkactivities)
BuildRequires: pkgconfig(lcms2)

Requires:      kdebase4-runtime
Requires:      kipi-common
Suggests:      gwenview-handbook
Suggests:      kipi-plugins

# Branch Patch (100-200)

%description
Gwenview is a fast and easy to use image viewer/browser for KDE.
All common image formats are supported, such as PNG(including transparency),
JPEG(including EXIF tags and lossless transformations), GIF, XCF (Gimp
image format), BMP, XPM and others. Standard features include slideshow,
fullscreen view, image thumbnails, drag'n'drop, image zoom, full network
transparency using the KIO framework, including basic file operations and
browsing in compressed archives, non-blocking GUI with adjustable views.
Gwenview also provides image and directory KParts components for use e.g. in
Konqueror. Additional features, such as image renaming, comparing,
converting, and batch processing, HTML gallery and others are provided by the
KIPI image framework.

%files
%_kde_bindir/gwenview
%_kde_bindir/gwenview_importer
%_kde_libdir/kde4/gvpart.so
%_kde_appsdir/gvpart
%_kde_appsdir/gwenview
%_kde_services/gvpart.desktop
%_kde_services/ServiceMenus/slideshow.desktop
%_kde_applicationsdir/gwenview.desktop
%_kde_appsdir/solid/actions/gwenview_importer.desktop
%_kde_appsdir/solid/actions/gwenview_importer_camera.desktop
%_kde_iconsdir/*/*/*/gwenview*
%_kde_iconsdir/*/*/*/document-share*

#------------------------------------------------------------------------------

%package handbook
Summary: Gwenview handbook
Conflicts: gwenview < 2:4.7.1
Requires:  gwenview >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description handbook
This package provides the gwenview handbook.

%files handbook
%doc %_kde_docdir/HTML/en/gwenview/

#------------------------------------------------------------------------------

%define gwenviewlib_major 4
%define libgwenviewlib %mklibname gwenviewlib %gwenviewlib_major

%package -n %libgwenviewlib
Summary: Gwenview library
Group: System/Libraries

%description -n %libgwenviewlib
Gwenview library.

%files -n %libgwenviewlib
%_kde_libdir/libgwenviewlib.so.%{gwenviewlib_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libgwenviewlib = %epoch:%version-%release
Requires: libkipi-devel
Conflicts: kdegraphics4-devel < 2:4.6.90

%description devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%_kde_libdir/libgwenviewlib.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407180
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401838
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394357
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 353059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339403
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334511
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326716
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320273
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Add missing buildrequires
- Disable  -DKDE4_ENABLE_FINAL (not supported)

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316154
- Update tarball to KDE SC 4.9.3
- Use pkgconfig() for BuildRequires

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301929
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289718
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277098
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269650
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 265822
- New version - 4.8.95

* Mon Jun 18 2012 fwang <fwang> 2:4.8.4-2.mga3
+ Revision: 261603
- rebuild for new exiv2

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257220
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232810
- Add kipi-plugins as suggests
- Add missing requires

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228436
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221461
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198188
- Updating tarball to KDE 4.8.0
- Add requires for kdebase4-runtime

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190984
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185930
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181869
- Update tarball to KDE SC 4.7.90
- fix BuildRequires

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176349
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161093
- Update tarball to KDE SC 4.7.3

* Sun Oct 09 2011 fwang <fwang> 2:4.7.2-2.mga2
+ Revision: 153439
- rebuild for new exiv2

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151928
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140621
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%defattr
- Remove %%clean section
- Remove kdelibs4-devel and libexiv-devel as require for -devel package (already handled by autoreqprov)
- Update tarball to KDE SC 4.7.0
- use kde macros
- remove %%defattr

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122363
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Tue Jun 28 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115450
-Add more requires on -devel package
- imported package gwenview

  + fwang <fwang>
    - add conflicts on older package

